### Method

# Ide VcsMonitor ref_vcs

#### Declaration

    IdeVcs*
    ide_vcs_monitor_ref_vcs (
      IdeVcsMonitor* self
    )

#### Description

Increments the reference count of the `IdeVcs` monitored using the `IdeVcsMonitor` and returns it.

Available since: | 3.32

#### Return value

Returns: | `IdeVcs`
| An `IdeVcs` or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.